For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTMake a call
      • GETGet a call
      • GETList calls
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APICalls

List calls

||View as Markdown|
GET
/calls
GET
/v2/calls
$curl -G https://api.synthflow.ai/v2/calls \
> -H "Authorization: Bearer <token>" \
> -d model_id=model_id
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 9,
6 "limit": 20,
7 "offset": 0
8 },
9 "calls": [
10 {
11 "call_id": "58bd0d3f-6982-4a6d-911e-1c11fbcc7dca",
12 "model_id": "f7181a86-5713-4d47-bb87-123d8199a29e",
13 "duration": 0,
14 "end_call_reason": "human_hangup",
15 "judge_results": null,
16 "lead_phone_number": "+4915510277534",
17 "agents_used": [
18 "string"
19 ],
20 "executed_actions": {},
21 "recording_url": "https://api.twilio.com/2009-10-10/Accounts/ZGH0293d4b80d81cf5g946r34f3c99941bf/Recordings/RE9ee05467410311202811f06205227138",
22 "type_of_call": "outbound",
23 "recording_duration": "string",
24 "transcript": "bot: Hey there\nhuman: Hello.\nbot: Hi, Eddie!\nbot: How are you today?\nhuman: Good. And you?\nbot: Great to hear!",
25 "error_message": "Account not found!",
26 "call_status": "failed",
27 "start_time": "1761150177868",
28 "lead_name": "string",
29 "name": "string",
30 "labels": [
31 "string"
32 ],
33 "agent_phone_number": "+12315593024",
34 "deployment_type": "string",
35 "timezone": "string",
36 "telephony_hangup": "caller",
37 "telephony_disconnect_reason": "forbidden",
38 "telephony_duration": 43200,
39 "telephony_start": {},
40 "telephony_end": {},
41 "campaign_type": "live",
42 "phone_number_from": "+12315593024",
43 "phone_number_to": "+4915510277534",
44 "collected_variables": {
45 "agent_123": {
46 "user_name": {
47 "value": "Julian",
48 "collected": true
49 },
50 "appointment_date": {
51 "value": {},
52 "collected": true
53 }
54 }
55 }
56 }
57 ]
58 }
59}
Returns a paginated list of calls for the specified model. You can optionally filter by time window, status, duration range, or phone number.
Was this page helpful?
Previous

Create a chat

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

model_idstringRequired
The calls for the specified model ID will be returned
limitintegerOptional
How many calls will be displayed in every page, default is 20
offsetintegerOptional
Index of the first call to be returned.
from_datelongOptional

Begin timestamp (milliseconds since epoch) of the call. Available after the call starts. Example: 1732546200000

to_datelongOptional

End timestamp (milliseconds since epoch) of the call. Available after the call ends. Example: 1732546200000

call_statusstringOptional
Status of call.
duration_minintegerOptional

Only retrieve calls with duration greater than or equal to this value (seconds).

duration_maxintegerOptional

Only retrieve calls with duration less than or equal to this value (seconds).

lead_phone_numberstringOptional

Phone number of the caller or callee (E.164 format preferred) and URL-encode the leading ”+” (e.g. %2B14155552671)

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error